## apbs 1.3.0

=== contrib/zlib/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# contrib/zlib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/apbs
pkglibdir = $(libdir)/apbs
pkgincludedir = $(includedir)/apbs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-cygwin
host_triplet = i686-pc-cygwin
target_triplet = i686-pc-cygwin
subdir = contrib/zlib
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/aaa_inc/apbscfg.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libz_la_LIBADD =
am_libz_la_OBJECTS = adler32.lo compress.lo crc32.lo deflate.lo \
	gzclose.lo gzlib.lo gzread.lo gzwrite.lo infback.lo inffast.lo \
	inflate.lo inftrees.lo trees.lo zutil.lo
libz_la_OBJECTS = $(am_libz_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src/aaa_inc
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libz_la_SOURCES)
DIST_SOURCES = $(libz_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = :
AMTAR = ${SHELL} /home/bake113/home/Desktop/Sync/Software/apbs/trunk/config/missing --run tar
APBS_VERSION = 1:3
AR = ar
AUTOCONF = :
AUTOHEADER = :
AUTOMAKE = :
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -fopenmp
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = .exe
F77 = gfortran
FFLAGS =  -g -O2 -fopenmp
FGREP = @FGREP@
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = @LD@
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = @LIPO@
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/bake113/home/Desktop/Sync/Software/apbs/trunk/config/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
NM = @NM@
NMEDIT = @NMEDIT@
OBJEXT = o
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = apbs
PACKAGE_BUGREPORT = baker@biochem.wustl.edu
PACKAGE_NAME = APBS
PACKAGE_STRING = APBS 1.3
PACKAGE_TARNAME = apbs
PACKAGE_VERSION = 1.3
PATH_SEPARATOR = :
PY_CC = 
PY_CFLAGS = 
PY_LDFLAGS = 
PY_LINKFLAGS = 
PY_SHARED = 
RANLIB = ranlib
SED = @SED@
SET_MAKE = 
SHELL = /bin/sh
SITEPKGS = /home/bake113/lib/python2.6/site-packages
STRIP = strip
VERSION = 1.3
abs_builddir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib
abs_srcdir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib
abs_top_builddir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk
abs_top_srcdir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
apbs_build_libraries = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/bin/libapbsmainroutines.la 			/home/bake113/home/Desktop/Sync/Software/apbs/trunk/src/aaa_lib/libapbs.la 			-L/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/lib -lmaloc       	     -lm    /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/blas/.libs/libapbsblas.a /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib/.libs/libz.a   
apbs_do_blas = blas
apbs_do_maloc = maloc
apbs_do_python = 
apbs_do_tools = tools
arpack_do_tools = 
arpack_lib = 
bindir = ${exec_prefix}/bin
build = i686-pc-cygwin
build_alias = 
build_cpu = i686
build_os = cygwin
build_vendor = pc
builddir = .
contrib_path = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fetk_cpu_vendor_os = 
host = i686-pc-cygwin
host_alias = 
host_cpu = i686
host_os = cygwin
host_vendor = pc
htmldir = ${docdir}
inc_list = -I. -I/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/include   
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/bake113/home/Desktop/Sync/Software/apbs/trunk/config/install-sh
lib_list =       	     -lm    /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/blas/.libs/libapbsblas.a /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib/.libs/libz.a   
libdir = ${exec_prefix}/lib
liberty_lib = -liberty
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = @lt_ECHO@
maloc_inc = -I/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/include
maloc_lib = -L/home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/lib -lmaloc
mandir = ${datarootdir}/man
math_lib = -lm
mc_inc = 
mc_lib = 
mcx_inc = 
mcx_lib = 
mkdir_p = /usr/bin/mkdir -p
mpi_inc = 
mpi_lib = 
nsl_lib = 
oldincludedir = /usr/include
pdfdir = ${docdir}
pedantic_ansi = 
prefix = /home/bake113
program_transform_name = s,x,x,
psdir = ${docdir}
py_path = /usr/bin/python
rl_lib = 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socket_lib = 
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-cygwin
target_alias = 
target_cpu = i686
target_os = cygwin
target_vendor = pc
thread_lib = 
top_apbsdir = /home/bake113/home/Desktop/Sync/Software/apbs/trunk
top_builddir = ../..
top_srcdir = ../..
wall = 
wall_pedantic = 
wall_pedantic_ansi = 
z_lib = /home/bake113/home/Desktop/Sync/Software/apbs/trunk/contrib/zlib/.libs/libz.a
zlib = zlib
AUTOMAKE_OPTIONS = no-dependencies
SUFFIXES = .c .o
always_built_SUBDIRS = 
SUBDIRS = $(always_built_SUBDIRS) .
THISLIB = z
noinst_LTLIBRARIES = libz.la
libz_la_SOURCES = adler32.c compress.c crc32.c deflate.c gzclose.c \
	gzlib.c gzread.c gzwrite.c infback.c inffast.c inflate.c inftrees.c trees.c zutil.c

AM_FLAGS = -g -O2 -fopenmp
INCLUDES = -I${top_srcdir}/contrib/zlib
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .lo .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  contrib/zlib/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  contrib/zlib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libz.la: $(libz_la_OBJECTS) $(libz_la_DEPENDENCIES) 
	$(LINK)  $(libz_la_OBJECTS) $(libz_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
