=== debian/changelog ===
apbs (1.3.0-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert (dale) ]
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Don't build nor link against
    shipped copy of zlib.

  [ Michael Banck ]
  * Switch packaging to "3.0 (quilt)" format.
  * debian/rules: Rewritten for dh.
  * debian/control (Build-Depends): Removed quilt, bumped required debhelper
    version to 8.
  * debian/apbs.install: Install apbs executable explicitly.
  * debian/patches/07_destdir.patch: New patch, fixes DESTDIR in python
    setup.py installation in a contributed module.
  * debian/control (Build-Depends): Added dh-autoreconf, autoconf and
    automake.
  * debian/rules: Use --with autoreconf.
  * debian/rules (override_dh_auto_clean): Run make distclean in examples
    directory and remove all uncleaned Makefiles.
  * debian/patches/08_distclean.patch: New patch, fixes Makefile.am in various
    directories to clean all relevant files on make distclean.
  * debian/patches/09_acinclude_fix.patch: New patches, rewrites some m4
    macros so that recent autoconf versions do not produce faulty shell code,
    taken from Gentoo.
  * debian/control (Build-Depends): Added python-setuptools.

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Mar 2012 19:12:24 +0100

apbs (1.2.1b-1) unstable; urgency=low

  * New upstream (bugfix) release.

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Replace libmpich1.0-dev with mpi-default-dev.
  * debian/rules: Added list-missing target.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Use the default
    MPI implementation for the architecture.
  * debian/watch: Slightly adjusted for upstream version schema.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Dec 2009 15:59:00 +0100

apbs (1.1.0-1) unstable; urgency=low

  * New upstream release.

  * debian/apbs.1: Added citation section.
    (SEE ALSO): User guide is not available locally anymore.
  * debian/apbs.doc-base,
    debian/apbs.dirs: Dropped useless files.
  * debian/apbs.install: Removed documentation files, because the user guide
    is not shipped anymore (closes: #508980). The lintian overrides are
    considered by dh_lintian.
  * debian/control (Uploaders): Removed LI as requested. Thanks for your work!
    (Build-Depends): Re-added arpack, which is back in main.
    (Standards-Version): Bumped to 3.8.2 (no other changes).
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/copyright: Updated and completed.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Build with arpack.
  * debian/README.source: Added to comply to policy.
  * debian/lintian-overrides/apbs: Dropped. License file is not installed
    anymore.
  * debian/patches/01_html_documentation.dpatch: Dropped, as there is no
    documentation installed anymore.
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Updated/adjusted.
  * debian/patches/05_reduce_test_suite.dpatch: Dropped (cannot be applied
    anymore).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Jul 2009 19:06:05 +0200

apbs (1.0.0-2) unstable; urgency=low

  * debian/patches/06_quicktest.dpatch: New patch, add a `quicktest' target
    which only runs a couple of small tests.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Run quicktest instead of test for
    now.
  * debian/control (Build-Depends): Removed libarpack2-dev. (closes: #497722)
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Removed --with-arpack.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Sep 2008 00:00:41 +0200

apbs (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + No longer contains a corrupted tarball (closes: #473822).
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Refreshed.
  * debian/patches/05_reduce_test_suite.dpatch: New patch, remove most of the
    coordinates for the ion test to save time (closes: 475064).

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Jun 2008 14:25:47 +0200

apbs (0.5.1-2) unstable; urgency=low

  * Acknowledge NMU 0.5.1-1.1 (closes: #462263). Thanks to Colin Tuckley.

  [ Daniel Leidert ]
  * debian/apbs.1: Added.
  * debian/apbs.doc-base (Section): Adjusted accordingly to latest doc-base
    policy.
  * debian/apbs.install: Install lintian override.
  * debian/compat: Raised to level 5.
  * debian/control: Homepage field transition. Added Vcs fields. Added
    DM-Upload-Allowed field for DM status.
    (Maintainer): Set to the debichem team address. Moved Michael to
    Uploaders.
    (Uploaders): Added myself and LI Daobing.
    (Standards-Version): Updated to latest 3.7.3 (no other changes).
    (Build-Depends): Raised debhelper to v5. Added libarpack2-dev. Added
    libmpich1.0-dev for MPI support. Added python-minimal for some tests.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file issue. Updated
    copyright information. Added exception.
  * debian/rules: Install the newly added apbs.1 manpage.
    (DEB_CONFIGURE_EXTRA_FLAGS): Enable building with arpack (not useful atm
    without tools). Set prefix.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Enable MPI.
    (DEB_MAKE_INSTALL_TARGET): Only install from bin/ as long as we don't use
    the rest.
  * debian/watch: Updated to fit new source archive naming.
  * debian/lintian-overrides/apbs: Added. The documentation contains the
    license in several formats.

  [ LI Daobing ]
  * FTBFS if built twice in a row (Closes: #424100)

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 10 Mar 2008 08:46:53 +0100

apbs (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Build depend on libblas-dev instead of refblas3-dev (closes: #462263)
  * Add gfortran to Build Depends: to fix FTBFS in clean chroot

 -- Colin Tuckley <colint@debian.org>  Mon, 28 Jan 2008 11:05:21 +0000

apbs (0.5.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added dpatch and autotools-dev.

