=== debian/control ===
Source: apbs
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: cdbs, debhelper (>= 8), dh-autoreconf, autoconf, automake,
 autotools-dev, bc, gfortran, libarpack2-dev, libblas-dev, libmaloc-dev,
 mpi-default-dev (>= 0.3), python-minimal, python-setuptools
Standards-Version: 3.8.3
Homepage: http://apbs.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debichem/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/apbs/
DM-Upload-Allowed: yes

Package: apbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.  Continuum electrostatics plays an
 important role in several areas of biomolecular simulation, including:
 .
   * simulation of diffusional processes to determine ligand-protein and
     protein-protein binding kinetics,
   * implicit solvent molecular dynamics of biomolecules ,
   * solvation and binding energy calculations to determine
     ligand-protein and protein-protein equilibrium binding constants
     and aid in rational drug design,
   * and biomolecular titration studies.
 .
 APBS was designed to efficiently evaluate electrostatic properties for
 such simulations for a wide range of length scales to enable the
 investigation of molecules with tens to millions of atoms.
