=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/apbs/apbs-([\d\.]+[a-c]?)-source\.tar\.gz
