=== src/base/CMakeLists.txt ===
add_items(
    SOURCES
    maloc_base.c
)

add_items(
    EXTERNAL_HEADERS
    maloc/maloc.h
    maloc/maloc_base.h
)

add_items(
    INTERNAL_HEADERS
    maloc_base_p.h
)
