=== src/vsh/CMakeLists.txt ===
add_items(
    SOURCES
    vlex.c
    vpars.c
    vpup.c
    vsh.c
    vyacc.c
)

add_items(
    EXTERNAL_HEADERS
    maloc/vsh.h
)

add_items(
    INTERNAL_HEADERS
    vpup.h
    vsh_p.h
    vyacc.h
)
