=== debian/changelog ===
apbs (1.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:09 +0000

apbs (1.4-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (DM-Upload-Allowed): Dropped.
    (Build-Depends): Dropped all autotools related build dependencies,
    libarpack2-dev, libblas-dev and bc. Added cmake, libpython-dev
    and zlib1g-dev.
  * debian/copyright: Updated.
  * debian/rules: Enable hardening. Dropped all autotools related stuff and
    rewrote it for cmake build system.
  * debian/watch: Make regex case insensitive.
  * debian/patches/03_skip_expensive_tests.patch: Dropped. Upstream changed
    to cmake.
  * debian/patches/06_quicktest.patch: Ditto.
  * debian/patches/07_destdir.patch: Ditto.
  * debian/patches/08_distclean.patch: Ditto.
  * debian/patches/09_acinclude_fix.patch: Ditto.
  * debian/patches/debian_make.patch: Added.
    - Compile internal libraries statically into apbs.
  * debian/patches/debian_testfiles.patch: Added.
    - Skip expensive tests (see 03_skip_expensive_tests.patch).
  * debian/patches/series: Adjusted.

  [ Andreas Tille ]
  * debian/upstream: Author field in BibTeX syntax

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 08 Aug 2013 18:21:30 +0200

apbs (1.3.0-2) unstable; urgency=low

  * debian/apbs.install: Adjusted.
  * debian/apbs.manpages: Added to fix binary-without-manpage.
  * debian/compat: Increased dh level to 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to recent 3.9.3.
    (Build-Depends): Removed unused cdbs. Added autotools-dev version
    requirements. Lowered required debhelper version.
    (Vcs-Browser): Fixed.
  * debian/copyright: Updated. Removed BSD license file reference to fix
    copyright-refers-to-deprecated-bsd-license-file.
  * debian/rules: Run autotools_dev template. Added override target for
    dh_install. Added target to install upstream changelog file.
  * debian/upstream: Added.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/*.patch: Updated for quilt.
  * debian/patches/04_remove_install-exec-am_rule.patch: Dropped. Moved
    patch content to 07_destdir.patch.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 29 Apr 2012 23:35:09 +0200
