=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: apbs
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>,
- Daniel Leidert (dale) <daniel.leidert@wgdd.de>
-Build-Depends: cdbs, debhelper (>= 8), dh-autoreconf, autoconf, automake,
- autotools-dev, bc, gfortran, libarpack2-dev, libblas-dev, libmaloc-dev,
- mpi-default-dev (>= 0.3), python-minimal, python-setuptools
-Standards-Version: 3.8.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Michael Banck <mbanck@debian.org>
+Build-Depends: cmake,
+               debhelper (>> 7.0.50~),
+               libmaloc-dev,
+               libpython-dev,
+               mpi-default-dev (>= 0.3),
+               python-minimal (>> 2.6.6-3~),
+               python-setuptools,
+               zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://apbs.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/apbs/
-DM-Upload-Allowed: yes
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/apbs/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/apbs/
 
 Package: apbs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Adaptive Poisson Boltzmann Solver
  APBS is a software package for the numerical solution of the
  Poisson-Boltzmann equation (PBE), one of the most popular continuum
