=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=On \
		-DBUILD_DOC=Off -DBUILD_TOOLS=Off \
		-DENABLE_OPENMP=On -DENABLE_MPI=On -DENABLE_ZLIB=On \
		-DENABLE_PYTHON=On -DENABLE_READLINE=Off \
		-DFETK_PATH=/usr -DENABLE_FETK=Off

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp/

override_dh_clean:
	-(cd $(CURDIR)/build && /bin/bash cleanup.sh)
	dh_clean

override_dh_auto_test:
	-(cd tests; python apbs_tester.py -c test_cases.cfg)

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
